<?php

namespace App\Entities\Produccion;

use App\Models\OrdenTrabajo\OrdenTrabajoModel;
use CodeIgniter\Entity\Entity;

class OrdenTrabajoFileEntity extends Entity
{
    protected $attributes = [
        "orden_trabajo_id" => null,
        "name" => null,
        "upload_by" => null,
        "file_path" => null
    ];
    protected $casts = [
        "orden_trabajo_id" => "integer",
        "name" => "string",
        "upload_by" => "integer",
        "file_path" => "string"
    ];

    public function orden_trabajo(): ?OrdenTrabajoEntity
    {
        $m = model(OrdenTrabajoModel::class);
        return $m->find($this->attributes["orden_trabajo_id"]);
    }
    public function hash(): string
    {
        return array_reverse(explode('/', $this->attributes["file_path"]))[0];
    }
}
